# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Array1OfTrsf Class Reference

`#include <TDataStd_Array1OfTrsf.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_Array1OfTrsf (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TDataStd_Array1OfTrsf (const gp_Trsf &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const gp_Trsf &V)
Standard_EXPORT void | Destroy ()
| ~TDataStd_Array1OfTrsf ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TDataStd_Array1OfTrsf & | Assign (const TDataStd_Array1OfTrsf &Other)
const TDataStd_Array1OfTrsf & | operator= (const TDataStd_Array1OfTrsf &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const gp_Trsf &Value)
const gp_Trsf & | Value (const Standard_Integer Index) const
const gp_Trsf & | operator() (const Standard_Integer Index) const
gp_Trsf & | ChangeValue (const Standard_Integer Index)
gp_Trsf & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TDataStd_Array1OfTrsf (const TDataStd_Array1OfTrsf &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Array1OfTrsf::TDataStd_Array1OfTrsf | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TDataStd_Array1OfTrsf::TDataStd_Array1OfTrsf | ( | const gp_Trsf & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TDataStd_Array1OfTrsf::~TDataStd_Array1OfTrsf | ( |  | ) | `[inline]`

Standard_EXPORT TDataStd_Array1OfTrsf::TDataStd_Array1OfTrsf | ( | const TDataStd_Array1OfTrsf & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TDataStd_Array1OfTrsf& TDataStd_Array1OfTrsf::Assign | ( | const TDataStd_Array1OfTrsf & | Other | ) |

gp_Trsf& TDataStd_Array1OfTrsf::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TDataStd_Array1OfTrsf::Destroy | ( |  | ) |

Standard_EXPORT void TDataStd_Array1OfTrsf::Init | ( | const gp_Trsf & | V | ) |

Standard_Boolean TDataStd_Array1OfTrsf::IsAllocated | ( |  | ) | const

Standard_Integer TDataStd_Array1OfTrsf::Length | ( |  | ) | const

Standard_Integer TDataStd_Array1OfTrsf::Lower | ( |  | ) | const

void TDataStd_Array1OfTrsf::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_Array1OfTrsf::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_Array1OfTrsf::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

gp_Trsf& TDataStd_Array1OfTrsf::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const gp_Trsf& TDataStd_Array1OfTrsf::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TDataStd_Array1OfTrsf& TDataStd_Array1OfTrsf::operator= | ( | const TDataStd_Array1OfTrsf & | Other | ) | `[inline]`

void TDataStd_Array1OfTrsf::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Trsf & | Value
| ) |

Standard_Integer TDataStd_Array1OfTrsf::Upper | ( |  | ) | const

const gp_Trsf& TDataStd_Array1OfTrsf::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TDataStd_Array1OfTrsf::isAllocated `[private]`

Standard_Integer TDataStd_Array1OfTrsf::myLowerBound `[private]`

Standard_Address TDataStd_Array1OfTrsf::myStart `[private]`

Standard_Integer TDataStd_Array1OfTrsf::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TDataStd_Array1OfTrsf.hxx